#include <stdio.h>
#include <stdlib.h>


int main() {
	unsigned H[1000],N;
	
	do{
		scanf("%u",&N);
	}while(N<=0||N>1000);
	
	unsigned L;
	scanf("%u",&L);
	
	int i;
	for(i=0;i<N;i++){
		scanf("%u",&H[i]);	
	}
	
	for(i=0;i<N;i++){
		if(H[i]<=L){
			printf("\n%u",i+1);
			return 0;
		}
	}
	printf("\n-1");
	return 0;
}